OpenNMS API 1.2.9

## org.opennms.netmgt.poller.pollables
Class PollStatus

    java.lang.Object
      org.opennms.netmgt.poller.pollables.PollStatus

public class PollStatus
extends java.lang.Object

Represents the status of a node, interface or services

Author:
  brozow

Field Summary
`(package private) int` `m_statusCode`
`(package private) java.lang.String` `m_statusName`
`static PollStatus` `STATUS_DOWN`
`static PollStatus` `STATUS_UNKNOWN`
`static PollStatus` `STATUS_UNRESPONSIVE`
`static PollStatus` `STATUS_UP` Status of the pollable object.

Constructor Summary
`private` `PollStatus(int statusCode, java.lang.String statusName)`

Method Summary
`static PollStatus` `getPollStatus(int status)`
`boolean` `isDown()`
`boolean` `isUp()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### STATUS_UP

    public static final PollStatus STATUS_UP

  Status of the pollable object.

### STATUS_DOWN

    public static final PollStatus STATUS_DOWN

### STATUS_UNRESPONSIVE

    public static final PollStatus STATUS_UNRESPONSIVE

### STATUS_UNKNOWN

    public static final PollStatus STATUS_UNKNOWN

### m_statusCode

    int m_statusCode

### m_statusName

    java.lang.String m_statusName

Constructor Detail

### PollStatus

    private PollStatus(int statusCode,
                       java.lang.String statusName)

Method Detail

### getPollStatus

    public static PollStatus getPollStatus(int status)

### isUp

    public boolean isUp()

### isDown

    public boolean isDown()

### toString

    public java.lang.String toString()

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.